package main

/*
	This is reference code for toolkit developers

	The 'nocui' is a bare minimum toolkit. It's all you need
	to interact with the GUI
*/

import (
	"embed"

	"go.wit.com/log"
	"go.wit.com/toolkits/tree"

	"github.com/faiface/pixel/pixelgl"
	"github.com/gookit/config"
)

//go:embed *.glsl
var glFile embed.FS

func init() {
	log.Log(INFO, "Init()")

	me.myTree = tree.New()
	me.myTree.PluginName = "nocui"
	//	me.myTree.ActionFromChannel = doAction

	me.myTree.NodeAction = newaction
	me.myTree.Add = Add
	me.myTree.SetTitle = SetTitle
	me.myTree.SetLabel = SetLabel
	me.myTree.SetText = SetText
	me.myTree.AddText = AddText

	me.exit = false

	log.Log(INFO, "Init() END")

	showOptions()

	config.Set("width", 640)
	config.Set("height", 480)
	config.Set("glDrift", 0.01)
	// config.Set("filename", "planetfall.glsl")
	config.Set("filename", "seascape.glsl")
	pixelgl.Run(run)

	go simpleStdin()
}

// this must be defined for plugin's, but is never run
// I assume it's for testing the code in a stand alone way
func main() {

	config.Set("width", 1024)
	config.Set("height", 768)
	config.Set("glDrift", 0.01)
	config.Set("filename", "planetfall.glsl")
	// This parses the command line arguments
	// parseConfig()
	pixelgl.Run(run)
}
